Read one exact immutable dataset version
curl --request GET \
--url https://api.firedrill.run/v1/projects/{projectId}/datasets/{datasetId}/revisions/{revision} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.firedrill.run/v1/projects/{projectId}/datasets/{datasetId}/revisions/{revision}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.firedrill.run/v1/projects/{projectId}/datasets/{datasetId}/revisions/{revision}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dataset": {
"schemaVersion": 1,
"organizationId": "<string>",
"projectId": "<string>",
"datasetId": "<string>",
"name": "<string>",
"packageId": "<string>",
"version": 0,
"currentRevision": 1073741824,
"currentDigest": "<string>",
"state": "available",
"createdBy": "<string>",
"createdAtMs": 0,
"updatedAtMs": 0,
"archivedAtMs": 0
},
"revision": {
"schemaVersion": 1,
"datasetId": "<string>",
"revision": 1073741824,
"tool": {
"packageId": "<string>",
"version": "<string>",
"manifestHash": "<string>",
"artifactHash": "<string>",
"stateSchemaDigest": "<string>"
},
"collections": [
{
"namespace": "<string>",
"records": [
{
"rowId": "<string>",
"value": {}
}
]
}
],
"digest": "<string>"
},
"provenance": {
"sourceDraftId": "<string>",
"sourceRevision": 1073741824,
"sourceVersion": 0,
"sourceDigest": "<string>",
"buildHash": "<string>",
"worldProjectionDigest": "<string>",
"toolArtifactId": "<string>",
"instanceId": "<string>"
},
"revisionCreatedBy": "<string>",
"revisionCreatedAtMs": 0
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}Read one exact immutable dataset version
Read one exact immutable dataset version
Authorizations
Opaque control credential
Path Parameters
Pattern:
^prj_[0-9a-z]{12,32}$Pattern:
^dataset_[0-9a-f]{12,32}$Required range:
1 <= x <= 2147483647Response
Exact dataset revision